package com.datarecovery.master.utils;

import android.os.Build;

public class BrandUtil {
    public static final int HuaWei = 1;
    public static final int XiaoMi = 2;
    public static final int Vivo = 3;
    public static final int Oppo = 4;
    public static final int Meizu = 5;
    public static final int Samsung = 6;
    public static final int Smartisan = 7;
    public static final int Lenovo = 8;
    public static final int ZTE = 9;
    public static final int OnePlus = 10;
    public static final int Google = 11;
    public static final int Sony = 12;
    public static final int LG = 13;
    public static final int HTC = 14;
    public static final int ASUS = 15;
    public static final int GIONEE = 16;
    public static final int MOTOROLA = 17;
    public static final int NUBIA = 18;
    public static final int SHARP = 19;
    public static final int LEPHONE = 20;

    public static final int HONOR = 21;

    public static int getBrand() {
        String brand = Build.BRAND;
        if (brand.equalsIgnoreCase("HUAWEI")) {
            return HuaWei;
        } else if (brand.equalsIgnoreCase("Xiaomi")) {
            return XiaoMi;
        } else if (brand.equalsIgnoreCase("vivo")) {
            return Vivo;
        } else if (brand.equalsIgnoreCase("OPPO")) {
            return Oppo;
        } else if (brand.equalsIgnoreCase("Meizu")) {
            return Meizu;
        } else if (brand.equalsIgnoreCase("samsung")) {
            return Samsung;
        } else if (brand.equalsIgnoreCase("smartisan")) {
            return Smartisan;
        } else if (brand.equalsIgnoreCase("Lenovo")) {
            return Lenovo;
        } else if (brand.equalsIgnoreCase("ZTE")) {
            return ZTE;
        } else if (brand.equalsIgnoreCase("OnePlus")) {
            return OnePlus;
        } else if (brand.equalsIgnoreCase("Google")) {
            return Google;
        } else if (brand.equalsIgnoreCase("Sony")) {
            return Sony;
        } else if (brand.equalsIgnoreCase("LG")) {
            return LG;
        } else if (brand.equalsIgnoreCase("HTC")) {
            return HTC;
        } else if (brand.equalsIgnoreCase("ASUS")) {
            return ASUS;
        } else if (brand.equalsIgnoreCase("GIONEE")) {
            return GIONEE;
        } else if (brand.equalsIgnoreCase("MOTOROLA")) {
            return MOTOROLA;
        } else if (brand.equalsIgnoreCase("NUBIA")) {
            return NUBIA;
        } else if (brand.equalsIgnoreCase("SHARP")) {
            return SHARP;
        } else if (brand.equalsIgnoreCase("LETV")) {
            return LEPHONE;
        } else if (brand.equalsIgnoreCase("HONOR")) {
            return HONOR;
        } else {
            return 0;
        }
    }
}